/*
 * Class EV_COLORIZABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_979 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_979 [] = {0xFF01,1551,978,0xFFFF};
static const EIF_TYPE_INDEX egt_2_979 [] = {0xFF01,978,0xFFFF};
static const EIF_TYPE_INDEX egt_3_979 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_979 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_979 [] = {0xFF01,978,0xFFFF};
static const EIF_TYPE_INDEX egt_6_979 [] = {0xFF01,978,0xFFFF};
static const EIF_TYPE_INDEX egt_7_979 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_979 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_979 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_979 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_979 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_979 [] = {0xFF01,978,0xFFFF};
static const EIF_TYPE_INDEX egt_13_979 [] = {0xFF01,1147,0xFFFF};
static const EIF_TYPE_INDEX egt_14_979 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_979 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_16_979 [] = {0xFF01,962,0xFFFF};


static const struct desc_info desc_979[] = {
	{EIF_GENERIC(NULL), 24534, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_979), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_979), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_979), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_979), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_979), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_979), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_979), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_979), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_979), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_979), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_979), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_979), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07A5 /*978*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_979), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_979), 24531, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_979), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_979), 24526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_979), 24527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24528, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24529, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24533, 0xFFFFFFFF},
};
void Init979(void)
{
	IDSC(desc_979, 0, 978);
	IDSC(desc_979 + 1, 1, 978);
	IDSC(desc_979 + 32, 1593, 978);
	IDSC(desc_979 + 47, 1615, 978);
}


#ifdef __cplusplus
}
#endif
